CVE-2024-38441

NameCVE-2024-38441
DescriptionNetatalk before 3.2.1 has an off-by-one error and resultant heap-based buffer overflow because of setting ibuf[len] to '\0' in FPMapName in afp_mapname in etc/afpd/directory.c. 2.4.1 and 3.1.19 are also fixed versions.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1074475

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
netatalk (PTS)bullseye (security), bullseye3.1.12~ds-8+deb11u1vulnerable
sid, trixie3.1.18~ds-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
netatalksource(unstable)3.1.18~ds-21074475

Notes

https://github.com/Netatalk/netatalk/issues/1098
https://netatalk.io/security/CVE-2024-38441
https://github.com/Netatalk/netatalk/commit/77b5d99007cfef4d73d76fd6f0c26584891608e5 (netatalk-3-2-1)

Search for package or bug name: Reporting problems